<?php
/**
 * Bulk delete users
 */

$guids = (array) get_input('bulk_user_admin_guids');

if (!$guids) {
	return elgg_error_response(elgg_echo('bulk_user_admin:error:nousers'), REFERER);
}

$s = BulkUserAdmin\DeleteService::getService();

$errors = [];
$count = 0;
$batch = elgg_get_entities([
	'guids' => $guids,
	'limit' => false,
	'batch' => true,
]);

foreach ($batch as $user) {
	if (!$user instanceof ElggUser) {
		$errors[] = elgg_echo('bulk_user_admin:error:wrongguid', [$user->guid]);
		continue;
	}

	if (!$s->enqueue($user)) {
		$errors[] = elgg_echo('bulk_user_admin:error:enqueue_failed', [$user->name, $user->username, $user->guid]);
	}
	$count++;
}

if ($errors) {
	foreach ($errors as $error) {
		register_error($error);
	}

	return elgg_error_response('', REFERER);
}

return elgg_ok_response('', elgg_echo('bulk_user_admin:enqueue:delete', [$count]), REFERER);
