<?php
/**
 * Bulk delete users by email
 */

$domain = (string) get_input('domain');
$banned = (bool) get_input('banned');
$include_enqueued = (bool) get_input('include_enqueued');

$s = BulkUserAdmin\DeleteService::getService();

$errors = [];
$count = 0;
$batch = bulk_user_admin_get_users([
	'domain' => $domain,
	'limit' => false,
	'enqueued' => 'exclude',
	'batch' => true,
	'batch_inc_offset' => false,
]);

foreach ($batch as $user) {
	if (!$user instanceof ElggUser) {
		$errors[] = elgg_echo('bulk_user_admin:error:wrongguid', [$user->guid]);
		continue;
	}

	if (!$s->enqueue($user)) {
		$errors[] = elgg_echo('bulk_user_admin:error:enqueue_failed', [$user->name, $user->username, $user->guid]);
	}
	$count++;
}

if ($errors) {
	foreach ($errors as $error) {
		register_error($error);
	}

	return elgg_error_response('', '/admin/users/bulk_user_admin');
}

return elgg_ok_response('', elgg_echo('bulk_user_admin:enqueue:delete', [$count]), '/admin/users/bulk_user_admin');
