<?php

$domains = $vars['domains'];

$rows = [];

foreach ($domains as $domain_info) {

	if (!$domain_info->domain) {
		continue;
	}

	$row = [];

	$row[] = elgg_format_element('td', [], elgg_view('output/url', [
		'text' => $domain_info->domain,
		'href' => $domain_info->domain,
	]));

	$url = elgg_http_add_url_query_elements(elgg_normalize_url('/admin/users/bulk_user_admin'), [
		'domain' => $domain_info->domain,
		'include_enqueued' => true,
	]);

	$row[] = elgg_format_element('td', [], elgg_view('output/url', [
		'text' => $domain_info->count,
		'href' => $url,
	]));

	$rows[] = elgg_format_element('tr', [], implode('', $row));
}

$header_row = [
	elgg_format_element('th', [], elgg_echo('bulk_user_admin:domain')),
	elgg_format_element('th', [], elgg_echo('bulk_user_admin:users')),
];
$header = elgg_format_element('tr', [], implode('', $header_row));

$table_content = elgg_format_element('thead', [], $header);
$table_content .= elgg_format_element('tbody', [], implode('', $rows));

echo elgg_format_element('table', ['class' => 'elgg-table'], $table_content);
